Loading...
Searching...
No Matches
casacore::TVecLogic_global_functions_scalarComparison Struct Reference
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

Comparison between a table vector and a scalar. More...

`#include <TVecLogic.h>`

## Public Member Functions

template<class T>
Bool | tabVecRepvalrLE (const TabVecRep< T > &left, const T &right)
template<class T>
Bool | tabVecRepvallLE (const T &left, const TabVecRep< T > &right)
template<class T>
Bool | tabVecRepvalrLT (const TabVecRep< T > &left, const T &right)
template<class T>
Bool | tabVecRepvallLT (const T &left, const TabVecRep< T > &right)
template<class T>
Bool | tabVecRepvalrGE (const TabVecRep< T > &left, const T &right)
template<class T>
Bool | tabVecRepvallGE (const T &left, const TabVecRep< T > &right)
template<class T>
Bool | tabVecRepvalrGT (const TabVecRep< T > &left, const T &right)
template<class T>
Bool | tabVecRepvallGT (const T &left, const TabVecRep< T > &right)
template<class T>
Bool | tabVecRepvalrEQ (const TabVecRep< T > &left, const T &right)
template<class T>
Bool | tabVecRepvallEQ (const T &left, const TabVecRep< T > &right)
template<class T>
Bool | tabVecRepvalrNE (const TabVecRep< T > &left, const T &right)
template<class T>
Bool | tabVecRepvallNE (const T &left, const TabVecRep< T > &right)

## Detailed Description

Comparison between a table vector and a scalar.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

Element by element comparisons between a table vector and a scalar, which behaves as if it were a conformant table vector filled with the scalar value. At some point operators will be available that return masks where the comparison is true. The functions are the implementation of the wrapper functions defined in TabVecLogic.h.

Definition at line 96 of file TVecLogic.h.

## Member Function Documentation

## tabVecRepvallEQ()

template<class T>

Bool casacore::TVecLogic_global_functions_scalarComparison::tabVecRepvallEQ | ( | const T & | left,
|  | const TabVecRep< T > & | right )

## tabVecRepvallGE()

template<class T>

Bool casacore::TVecLogic_global_functions_scalarComparison::tabVecRepvallGE | ( | const T & | left,
|  | const TabVecRep< T > & | right )

## tabVecRepvallGT()

template<class T>

Bool casacore::TVecLogic_global_functions_scalarComparison::tabVecRepvallGT | ( | const T & | left,
|  | const TabVecRep< T > & | right )

## tabVecRepvallLE()

template<class T>

Bool casacore::TVecLogic_global_functions_scalarComparison::tabVecRepvallLE | ( | const T & | left,
|  | const TabVecRep< T > & | right )

## tabVecRepvallLT()

template<class T>

Bool casacore::TVecLogic_global_functions_scalarComparison::tabVecRepvallLT | ( | const T & | left,
|  | const TabVecRep< T > & | right )

## tabVecRepvallNE()

template<class T>

Bool casacore::TVecLogic_global_functions_scalarComparison::tabVecRepvallNE | ( | const T & | left,
|  | const TabVecRep< T > & | right )

## tabVecRepvalrEQ()

template<class T>

Bool casacore::TVecLogic_global_functions_scalarComparison::tabVecRepvalrEQ | ( | const TabVecRep< T > & | left,
|  | const T & | right )

## tabVecRepvalrGE()

template<class T>

Bool casacore::TVecLogic_global_functions_scalarComparison::tabVecRepvalrGE | ( | const TabVecRep< T > & | left,
|  | const T & | right )

## tabVecRepvalrGT()

template<class T>

Bool casacore::TVecLogic_global_functions_scalarComparison::tabVecRepvalrGT | ( | const TabVecRep< T > & | left,
|  | const T & | right )

## tabVecRepvalrLE()

template<class T>

Bool casacore::TVecLogic_global_functions_scalarComparison::tabVecRepvalrLE | ( | const TabVecRep< T > & | left,
|  | const T & | right )

## tabVecRepvalrLT()

template<class T>

Bool casacore::TVecLogic_global_functions_scalarComparison::tabVecRepvalrLT | ( | const TabVecRep< T > & | left,
|  | const T & | right )

## tabVecRepvalrNE()

template<class T>

Bool casacore::TVecLogic_global_functions_scalarComparison::tabVecRepvalrNE | ( | const TabVecRep< T > & | left,
|  | const T & | right )

The documentation for this struct was generated from the following file:

- tables/Tables/TVecLogic.h